3

Git cloned monero-core, installed the required dependencies.

Running ./build.sh yields:

/usr/bin/ld: cannot find -lwallet_merged
/usr/bin/ld: cannot find -lepee
/usr/bin/ld: cannot find -leasylogging
collect2: error: ld returned 1 exit status
Makefile:367: recipe for target 'release/bin/monero-wallet-gui' failed
make: *** [release/bin/monero-wallet-gui] Error 1

I then tried changing monero-wallet-gui.pro to include the contrib directory:

INCLUDEPATH +=  $$WALLET_ROOT/include \
                $$PWD/src/libwalletqt \
                $$PWD/src/QR-Code-generator \
                $$PWD/src \
                $$WALLET_ROOT/contrib \
                $$WALLET_ROOT/src

Since the libraries it cannot find, are in the contrib directory. Still errors.

  • Debian 8 64bit
  • Qt 5.9.2
  • cmake version 3.0.2
  • gcc version 4.9.2 (Debian 4.9.2-10)

I'm guessing this is some sort of include or $PATH error, as it cannot seem to import these libraries. Any ideas?

Edit: apart from not being able to build via build.sh, it also does not build via QtCreator.

2

Monero will be built only if GCC 5 and G++ 5 are installed in your system.

| improve this answer | |
1

My error was not related to the importing/including of libraries, instead I encountered some unrelated build errors which I fixed by making sure I had GCC 5, G++ 5 and the latest cmake versions.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.